import es
import playerlib
import random
import soccer.soccer as soccerlib
from gamethread import delayed
import psyco
psyco.full()

info = es.AddonInfo()
info.name = "Soccer Map Script"
info.version = soccerlib.info.version
info.basename = "soccermap"
info.author = "chrismrulz"

crowds_enabled = int(soccerlib.config["Map"]["crowds_enabled"])
tunnels_enabled = int(soccerlib.config["Map"]["tunnels_enabled"])
logos_enabled = int(soccerlib.config["Map"]["logos_enabled"])
flagpoles_enabled = int(soccerlib.config["Map"]["flagpoles_enabled"])
billboards_enabled = int(soccerlib.config["Map"]["billboards_enabled"])
ctflags_enabled = int(soccerlib.config["Map"]["ctflags_enabled"])
tflags_enabled = int(soccerlib.config["Map"]["tflags_enabled"])
ctflags = soccerlib.config["Map"]["ctflags"]
tflags = soccerlib.config["Map"]["tflags"]

def load():
  es.msg('#Green', 'Soccer Map Script On - by Toph')

def unload():
  es.msg('#Green', 'Soccer Map Script Off')

def doloop():
  if(es.getlivingplayercount() > 0):
    changemap()
  else:
    delayed(1, doloop)

def changemap():
  rp = random.choice(playerlib.getUseridList('#alive'))
  if(crowds_enabled == 0):
    soccerlib.dofire(rp, 'crowds','toggle')
    if(tunnels_enabled == 0):
      soccerlib.dofire(rp, 'tunnels','toggle')
    else:
      soccerlib.dofire(rp, 'tunnels2','toggle')
  if(logos_enabled == 1):
    soccerlib.dofire(rp, 'logos','toggle')
  else:
    soccerlib.dofire(rp, 'lights','turnoff')
  if(flagpoles_enabled == 1):
    soccerlib.dofire(rp, 'flagpoles','toggle')
  if(billboards_enabled == 1):
    soccerlib.dofire(rp, 'billboards','toggle')
  if(ctflags_enabled == 1):
    soccerlib.dofire(rp, 'flags_ct','toggle')
  if(tflags_enabled == 1):
    soccerlib.dofire(rp, 'flags_t','toggle')
  if(ctflags != ""):
    soccerlib.dofire(rp, 'flags_%s_ct' % ctflags,'toggle')
  if(tflags != ""):
    soccerlib.dofire(rp, 'flags_%s_t' % tflags,'toggle')

def round_start(event_var):
  if(logos_enabled == 0):
    soccerlib.dofire(random.choice(playerlib.getUseridList('#alive')), 'lights','turnoff')